Raritan PX2/PX3 JSON-RPC API

Classes | Public Types | Public Member Functions | List of all members
test::Display_1_0_1 Interface Reference

Type-independent display test interface. More...

`import"TestDisplay.idl";`

## Classes
struct | Info
| Collected display meta information. More...

## Public Types
enum | Orientation { NORMAL, FLIPPED, LEFT, RIGHT }
| Display orientation. More...
enum | TestStatus { TEST_IDLE, TEST_BUSY, TEST_PASSED, TEST_FAILED }
| Status of interactive test. More...

## Public Member Functions
Info | getInfo ()
| Retrieve display's meta information. More...
void | testSequence (in int cycleTime_ms)
| Execute a test sequence that is a bit more elaborate than just on and off all. More...
void | enterTestMode ()
| Start an interactive test on units which support it.
TestStatus | getTestStatus ()
| Get the current status of the interactive test. More...

## Detailed Description

Type-independent display test interface.

## Member Enumeration Documentation

## ◆ Orientation

enum test::Display_1_0_1::Orientation

Display orientation.

Enumerator
NORMAL | Normal orientation.
FLIPPED | Upside-down.
LEFT | Left side down.
RIGHT | Right side down.

## ◆ TestStatus

enum test::Display_1_0_1::TestStatus

Status of interactive test.

Enumerator
TEST_IDLE | Test has not been started.
TEST_BUSY | Test is in progress.
TEST_PASSED | The test finished successfully.
TEST_FAILED | The test failed.

## Member Function Documentation

## ◆ getInfo()

Info test::Display_1_0_1::getInfo | ( |  | ) |

Retrieve display's meta information.

Returns
  Display information

## ◆ getTestStatus()

TestStatus test::Display_1_0_1::getTestStatus | ( |  | ) |

Get the current status of the interactive test.

Returns
  Test status

## ◆ testSequence()

void test::Display_1_0_1::testSequence | ( | in int | cycleTime_ms | ) |

Execute a test sequence that is a bit more elaborate than just on and off all.

Parameters

  cycleTime_ms | Delay between state changes in ms

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/TestDisplay.idl